/*
 * 	globals.h - Global variables for libglacier
 *
 * 	This file is part of Glacier.
 *
 * 	Glacier is free software: you can redistribute it and/or modify it under the terms of the
 * 	GNU Lesser General Public License as published by the Free Software Foundation, either
 * 	version 3 of the License, or (at your option) any later version.
 *
 * 	Glacier is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * 	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * 	PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * 	You should have received a copy of the GNU Lesser General Public License along with Glacier. If
 * 	not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GLOBALS_H_
#define GLOBALS_H_

#include <libconfig.h>
#include <stdio.h>

/* Constants */
#define BUFFER_SIZE 1024
#define MAX_SIZE 256

/* libconfig context */
extern config_t cfg;
extern config_setting_t *setting;

/* Configuration variables */
extern int GLACIER_ALLOW_SERVICES;
extern char *GLACIER_ALLOWED_LICENSES;
extern int GLACIER_DO_INT_CHECK;
extern int GLACIER_VERBOSE;

/* Profile variables */
extern const char *GLACIER_REPO;
extern const char *GLACIER_ARCH;
extern const char *GLACIER_TARGET;
extern const char *GLACIER_LOCALDB;
extern const char *GLACIER_SYSTEM_PROFILE;

/* Required runtime files */
extern const char *runtime_files[];

/* File pointers for hashing operations */
extern FILE *expected_hash;
extern FILE *pkg;

#endif
