/*
 * 	log.h - Logging function declarations for libglacier
 *
 * 	This file is part of Glacier.
 *
 * 	Glacier is free software: you can redistribute it and/or modify it under the terms of the
 * 	GNU Lesser General Public License as published by the Free Software Foundation, either
 * 	version 3 of the License, or (at your option) any later version.
 *
 * 	Glacier is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * 	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * 	PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * 	You should have received a copy of the GNU Lesser General Public License along with Glacier. If
 * 	not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GLACIERLOG_H_
#define GLACIERLOG_H_

/*
 * gl_infolog
 *
 * DESCRIPTION: gl_infolog outputs a stylized info message. It follows Glacier's uniform CLI style.
 * PARAMETERS:
 * 		char MSG[] -> The message to output
 * RETURN VALUES:
 * 		None.
 * CAVEATS:
 * 		None.
 * EXAMPLE:
 * 		gl_infolog("This is an info message.");
 */

void gl_infolog(char MSG[]);

/**************************************************************************************************************/

/*
 * gl_warnlog
 *
 * DESCRIPTION: gl_warnlog outputs a stylized warning message. It follows Glacier's uniform CLI style.
 * PARAMETERS:
 * 		char MSG[] -> The message to output
 * RETURN VALUES:
 * 		None.
 * CAVEATS:
 * 		None.
 * EXAMPLE:
 * 		gl_warnlog("This is a warning message.");
 */

void gl_warnlog(char MSG[]);

/**************************************************************************************************************/

/*
 * gl_errlog
 *
 * DESCRIPTION: gl_errlog outputs a stylized error message. It follows Glacier's uniform CLI style.
 * PARAMETERS:
 * 		char MSG[] -> The message to output
 * RETURN VALUES:
 * 		None.
 * CAVEATS:
 * 		None.
 * EXAMPLE:
 * 		gl_errlog("This is an error message.");
 */

void gl_errlog(char MSG[]);

/**************************************************************************************************************/

/*
 * gl_successlog
 *
 * DESCRIPTION: gl_successlog outputs a stylized success message. It follows Glacier's uniform CLI style.
 * PARAMETERS:
 * 		char MSG[] -> The message to output
 * RETURN VALUES:
 * 		None.
 * CAVEATS:
 * 		None.
 * EXAMPLE:
 * 		gl_successlog("This is a success message.");
 */

void gl_successlog(char MSG[]);

#endif
